﻿using DataTableWCFService;
using System;
using System.Collections.Generic;
using System.Linq;
using System.ServiceModel;
using System.Text;
using System.Threading.Tasks;

namespace DataTableWCFHost
{
    internal class Program
    {
        static void Main(string[] args)
        {
            Uri baseAddress = new Uri("http://localhost:9207/DataTableService");
            using (ServiceHost host = new ServiceHost(typeof(DataTableService), baseAddress))
            {
                host.AddServiceEndpoint(typeof(IDataTableService), new BasicHttpBinding(), "");
                host.Open();

                Console.WriteLine($"The service is ready at {baseAddress}");
                Console.WriteLine("Press <Enter> to stop the service");
                Console.ReadLine();

                host.Close();
            }
        }
    }
}
