﻿using System.Data;

namespace DataTableAPIHost
{
    public class DataManager
    {
        public static DataManager Instance = new DataManager();

        public DataManager()
        {
            if (Instance == null)
            {
                _dataTable = new DataTable("SampleTable");
                _dataTable.Columns.Add("ID", typeof(int));
                _dataTable.Columns.Add("Name", typeof(string));

                _dataTable.Rows.Add(1, "John");
                _dataTable.Rows.Add(2, "Ronaldo");
                _dataTable.Rows.Add(3, "Messi");
            }
        }

        DataTable _dataTable;
        public DataTable DataTable { get { return _dataTable; } }
    }
}
